Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Common Unix Printing System (CUPS)
Name:      	cups
Version:   	1.4.6
Release:   	1
Requires: 	ghostscript
License: 	GNU/GPL
URL:		http://www.cups.org
Group:     	System/Configuration/Printing   
Source0: 	cups-%{version}-source.tar.bz2
Source1: 	cups.init
Patch0:		cups-python26.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	ghostscript-devel
Requires(pre): 	/sbin/chkconfig
BuildArch:	i686

# circular dependency : build ghostscript - cups - ghostscript to resolve
BuildRequires:	ghostscript-devel

BuildRequires:  jbigkit-devel

#Automatically resolved build dependencies
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
#BuildRequires: e2fsprogs-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: krb5-devel
BuildRequires: libacl-devel
BuildRequires: libgcc
BuildRequires: libjpeg-devel
BuildRequires: libpaper-devel
BuildRequires: libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libusb-devel
BuildRequires: openldap-devel
BuildRequires: openslp-devel
BuildRequires: pam-devel
BuildRequires: zlib-devel

%description
The Common Unix Printing System (CUPS) is a print spooler and associated utilities.

%package devel
Summary: 	CUPS development headers.
Group:     	System/Configuration/Printing   
Requires: 	cups = %{version}-%{release}
Obsoletes:	cupsddk

%description devel
Header and include files for developing applications with CUPS.


%post
ldconfig
# should be already, in fact it isn't
chmod 0755 /var/spool
# If the /var/spool/cups directory alreay exist
# we need to make shure that cups gets access rights to it
# - that's always !!!
chmod 0730 /var/spool/cups
chmod 0755 /var/spool/cups/tmp
/sbin/chkconfig --add cups
/sbin/chkconfig cups on

# Restart cupsd if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/cups stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/cups start 1>/dev/null 2>&1
fi


%preun
if test $1 = 0; then
        /etc/rc.d/init.d/cups stop 1>/dev/null 2>&1
        /sbin/chkconfig --del cups
fi

%postun
ldconfig
if test $1 -ge 1; then
        /etc/rc.d/init.d/cups stop 1>/dev/null 2>&1
        /etc/rc.d/init.d/cups start 1>/dev/null 2>&1
fi


%prep
%setup -qn cups-%{version}
%patch0 -p1

%build
sed -i -e "s@pam/pam@security/pam@g" {config-scripts/cups-pam.m4,scheduler/auth.c,configure}
autoconf
# Don't set --with-cups-user=root as it breaks the web-interface !
./configure     --sysconfdir=%_sysconfdir \
		--datadir=%_datadir \
		--localedir=/usr/share/locale \
		--mandir=%_mandir \
		--enable-static \
		--enable-threads \
		--enable-pdftops \
		--enable-libpaper \
		--with-cups-group=lp \
		--without-php
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install BUILDROOT=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/etc/{init.d,rc0.d,rc2.d,rc3.d,rc5.d}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init.d,rc0.d,rc2.d,rc3.d,rc5.d}
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/cups
ln -sf ../init.d/cups $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K00cups
ln -sf ../init.d/cups $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S99cups
ln -sf ../init.d/cups $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S99cups
ln -sf ../init.d/cups $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S99cups
chmod 755 $RPM_BUILD_ROOT/%_libdir/*.a

%files
%defattr(-,root,root)
%dir /var/log/cups
%attr(0755,root,root) %dir /var/spool/cups/tmp
%{_sysconfdir}/cups
%{_sysconfdir}/dbus-1/system.d/cups.conf
%{_sysconfdir}/pam.d/cups
%{_sysconfdir}/rc.d/init.d/cups
%{_sysconfdir}/rc.d/rc0.d/K00cups
%{_sysconfdir}/rc.d/rc2.d/S99cups
%{_sysconfdir}/rc.d/rc3.d/S99cups
%{_sysconfdir}/rc.d/rc5.d/S99cups
%{_sysconfdir}/xinetd.d/cups-lpd
%{_bindir}/cancel
%{_bindir}/cups-config
%{_bindir}/cupstestdsc
%{_bindir}/cupstestppd
%{_bindir}/lp
%{_bindir}/lpoptions
%{_bindir}/lppasswd
%{_bindir}/lpq
%{_bindir}/lpr
%{_bindir}/lprm
%{_bindir}/lpstat
%{_bindir}/ppdc
%{_bindir}/ppdhtml
%{_bindir}/ppdi
%{_bindir}/ppdmerge
%{_bindir}/ppdpo
%{_libdir}/cups
%{_libdir}/libcupscgi.so.*
%{_libdir}/libcupsdriver.so.*
%{_libdir}/libcupsimage.so.*
%{_libdir}/libcupsmime.so.*
%{_libdir}/libcupsppdc.so.*
%{_libdir}/libcups.so.*
%{_sbindir}/accept
%{_sbindir}/cupsaccept
%{_sbindir}/cupsaddsmb
%{_sbindir}/cupsctl
%{_sbindir}/cupsd
%{_sbindir}/cupsdisable
%{_sbindir}/cupsenable
%{_sbindir}/cupsfilter
%{_sbindir}/cupsreject
%{_sbindir}/lpadmin
%{_sbindir}/lpc
%{_sbindir}/lpinfo
%{_sbindir}/lpmove
%{_sbindir}/reject
%{_applications}/cups.desktop
%{_datadir}/cups
%{_docdir}/cups
%{_datadir}/icons/hicolor/*/apps/cups.png
%{_locale}/*/cups_*.po
%{_mandir}/man1/cancel.1.gz
%{_mandir}/man1/cups-config.1.gz
%{_mandir}/man1/cupstestdsc.1.gz
%{_mandir}/man1/cupstestppd.1.gz
%{_mandir}/man1/lp.1.gz
%{_mandir}/man1/lpoptions.1.gz
%{_mandir}/man1/lppasswd.1.gz
%{_mandir}/man1/lpq.1.gz
%{_mandir}/man1/lpr.1.gz
%{_mandir}/man1/lprm.1.gz
%{_mandir}/man1/lpstat.1.gz
%{_mandir}/man1/ppdc.1.gz
%{_mandir}/man1/ppdhtml.1.gz
%{_mandir}/man1/ppdi.1.gz
%{_mandir}/man1/ppdmerge.1.gz
%{_mandir}/man1/ppdpo.1.gz
%{_mandir}/man5/classes.conf.5.gz
%{_mandir}/man5/client.conf.5.gz
%{_mandir}/man5/cupsd.conf.5.gz
%{_mandir}/man5/cups-snmp.conf.5.gz
%{_mandir}/man5/mailto.conf.5.gz
%{_mandir}/man5/mime.convs.5.gz
%{_mandir}/man5/mime.types.5.gz
%{_mandir}/man5/ppdcfile.5.gz
%{_mandir}/man5/printers.conf.5.gz
%{_mandir}/man5/subscriptions.conf.5.gz
%{_mandir}/man7/backend.7.gz
#%{_mandir}/man7/drv.7.gz
%{_mandir}/man7/filter.7.gz
%{_mandir}/man7/notifier.7.gz
%{_mandir}/man8/accept.8.gz
%{_mandir}/man8/cupsaccept.8.gz
%{_mandir}/man8/cupsaddsmb.8.gz
%{_mandir}/man8/cupsctl.8.gz
%{_mandir}/man8/cupsd.8.gz
%{_mandir}/man8/cups-deviced.8.gz
%{_mandir}/man8/cupsdisable.8.gz
%{_mandir}/man8/cups-driverd.8.gz
%{_mandir}/man8/cupsenable.8.gz
%{_mandir}/man8/cupsfilter.8.gz
%{_mandir}/man8/cups-lpd.8.gz
%{_mandir}/man8/cups-polld.8.gz
%{_mandir}/man8/cupsreject.8.gz
%{_mandir}/man8/lpadmin.8.gz
%{_mandir}/man8/lpc.8.gz
%{_mandir}/man8/lpinfo.8.gz
%{_mandir}/man8/lpmove.8.gz
%{_mandir}/man8/reject.8.gz

%files devel
%defattr(-,root,root)
%{_includedir}/cups
%{_libdir}/libcups.a
%{_libdir}/libcups.so
%{_libdir}/libcupscgi.a
%{_libdir}/libcupscgi.so
%{_libdir}/libcupsdriver.a
%{_libdir}/libcupsdriver.so
%{_libdir}/libcupsimage.a
%{_libdir}/libcupsimage.so
%{_libdir}/libcupsmime.a
%{_libdir}/libcupsmime.so
%{_libdir}/libcupsppdc.a
%{_libdir}/libcupsppdc.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jan 08 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.4.6-1
- version update
* Mon Nov 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.5-1
- version update
* Sun Aug 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.4-2
- rebuilt against libpng 1.4.3
* Thu Jun 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.4-1
- version update
* Mon May 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.3-1
- version update
* Sat Mar 06 2010 Christian Metzen <metzench@ccux-linux.de> 1.4.2-2
- rebuild against latest ghostscript to make printing work again
- python 2.6 patch
* Tue Nov 10 2009 Christian Metzen <metzench@ccux-linux.de> 1.4.2-1
- Version update
- add BuildArch for ccuxbuild chroot
* Thu Oct 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version update
* Mon Aug 31 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
* Sun Jul 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.11-1
- Version Update
- built against libjpeg 7
* Fri Apr 17 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.3.10-1
- Version Update
- enabled libpaper support
- enabled threading support
* Fri Oct 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.9-1
- Version Update
* Sat Aug 23 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.8-2
- rebuilt against poppler 0.8.6
- rebuilt against ghostscript 8.63
* Sat Jul 26 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.8-1
- Version Update
- gnutls 2.4.1
* Tue Jun 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-3
- rebuilt against poppler 0.8.3
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-2
- rebuilt against gnutls 2.2.2
* Wed Apr 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.7-1
- Version Update
* Wed Feb 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.6-1
- Version Update
* Tue Dec 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.5-1
- Version Update
* Thu Nov 01 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.3.4-1
- Version Update
* Sat Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.3-1
- Version Update
* Wed Sep 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.2-1
- Version Update
* Sun Sep 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version Update
* Tue Aug 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version Update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.12-1
- Version Update
* Sat May 12 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.11-1
- Version Update
* Tue Mar 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.10-1
- Version Update
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.9-1
- Version Update
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.8-2
- rebuilt against ghostscript 8.15.4
* Wed Feb 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.8-1
- Version Update
* Sun Feb 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.2.7-2
- rebuilt against dbus 1.0.2
* Thu Nov 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.7-1
- Version Update
* Tue Nov 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-1
- Version Update
* Fri Oct 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.5-1
- Version Update
* Fri Sep 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-2
- rebuilt against dbus 0.93
* Fri Sep 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Version Update
* Mon Sep 04 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.3-3
- Modified scriplets
* Mon Sep 04 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.3-2
- Modified init script
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.3-1
- Version Update
* Thu Aug 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version Update
* Tue May 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version Update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.23-3
- tweaked specfile, readded some things in files section, moved static file to devel package
* Sun Jul 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.1.23-2
- rebuilt against openssl 0.9.8
* Thu Jan 06 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.23-1
- Update to Version 1.1.23
* Wed Nov 24 2004 Christian Metzen <metzench@ccux-linux.de> 1.1.22-3
- Changed User/Group cups runs as
* Sat Nov 20 2004 Christian Metzen <metzench@ccux-linux.de> 1.1.22-1
- Initial Release
